Package Scientific :: Package QtWidgets :: Module QtPlotCanvas :: Class PolyLine

[frames] | no frames]

# Class PolyLine

    PolyPoints --+
                 |
                PolyLine

Known Subclasses:
  - HorizontalLine
  - , VerticalLine

Multiple connected lines

Instance Methods

__init__(self, points, **attr) |

Inherited from `PolyPoints`: `boundingBox`, `scaleAndShift`, `writeToFile`

Method Details

### __init__(self, points, **attr)
(Constructor)

Parameters:
  - `points` - any sequence of (x, y) number pairs
  - `attr` - line attributes
  - `width` - the line width (default: 1)
  - `color` - a string whose value is one of the color names defined by X-Windows (default: `"black"`)
  - `style` - a Qt pen style object (default: Qt.SolidLine)
Overrides: PolyPoints.__init__